Subject: [Fot] Triumph Race Cars wanted for Philadelphia Auto Show

From: Scott Janzen via Fot <[email-masked]>
Date: Fri, 9 Jan 2026 21:29:02 -0500

I just got a call from Dave Hutchison, of Ragtops and Roadsters, who is organizing an exhibit of Triumphs at the Philadelphia Convention Center as part of the annual Auto Show, Jan 31-Feb 8th.  If you’ve never been to the PHL Auto Show, in addition to all the new cars, they also usually have an AACA section, a tuner section, some exotics, and a special exhibit, which seems to be Triumphs this year.

He has about 25 Triumphs lined up, some of the usual stuff, and some unusual ones, including a Gloria and his Italia. What he doesn’t have is any race cars and he would like to have some.

For those of you who have been in the convention center, this particular exhibit will be in what was the old Reading Terminal train shed, a very cool space that was integrated into the construction of the overall convention center. 
Anyone who is interested in should contact Dave on his cell phone 215-527-1409.  
He can tell you about logistics, but apparently it’s pretty easy to drive in with a trailer and unload, etc.  
Dave told me I could call him any time over the weekend, etc - he’s tasked with putting this together in short order and would be delighted to hear from you.
He asked about my GT6 and I’m considering it, but have some race prep to do and am not sure it will work out.

Scott Janzen

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]